{ config, pkgs, lib, ... }:
{
  users.users.yoda = {
    packages = with pkgs; [
      # Matrix clients
      element-desktop
      #fluffychat
      # Web version: https://app.cinny.in/
      #cinny-desktop
      # E2E encryption is not yet implemented: https://gitlab.gnome.org/GNOME/fractal/-/issues/717
      #fractal
      #nheko
    ];
  };

  # The Element package already includes a wrapper that automatically adds `--enable-features=UseOzonePlatform` and `--ozone-platform=wayland` when `NIXOS_OZONE_WL` is set.
  # https://discourse.nixos.org/t/partly-overriding-a-desktop-entry/20743/2
  environment.sessionVariables.NIXOS_OZONE_WL = lib.mkIf (config.services.xserver.displayManager.gdm.wayland) "1";
}
